<?php

namespace App\JsonRpc;

class UserServiceInterface_104a444767c7c7bd8a5328c5c7edb5b0 extends \Hyperf\RpcClient\Proxy\AbstractProxyService implements UserServiceInterface
{
    /**
     * @param array $data
     */
    public function createUser(array $data)
    {
        return $this->client->__call(__FUNCTION__, func_get_args());
    }
    /**
     * @param int $id
     */
    public function getUserInfo(int $id)
    {
        return $this->client->__call(__FUNCTION__, func_get_args());
    }
    /**
     * @param array $data
     */
    public function getUserList(array $data)
    {
        return $this->client->__call(__FUNCTION__, func_get_args());
    }
    /**
     * @param array $data
     * @return array
     */
    public function verifyUserInfo(array $data)
    {
        return $this->client->__call(__FUNCTION__, func_get_args());
    }
    /**
     * @remark 创建登录日志信息
     * @param array $data
     * @return array
     */
    public function createUserLogin(array $data)
    {
        return $this->client->__call(__FUNCTION__, func_get_args());
    }
    /**
     * 更新用户信息
     * @param array $data
     * @return array
     */
    public function updateUser(array $data)
    {
        return $this->client->__call(__FUNCTION__, func_get_args());
    }
    /**
     * 更新用户
     * @param array $data
     * @return array
     */
    public function updateUserInfo(array $data)
    {
        return $this->client->__call(__FUNCTION__, func_get_args());
    }
    /**
     * 删除用户
     * @param int $id
     * @return array
     */
    public function delUser(int $id)
    {
        return $this->client->__call(__FUNCTION__, func_get_args());
    }
    /**
     * 添加角色
     * @param array $data
     * @return array
     */
    public function addRole(array $data)
    {
        return $this->client->__call(__FUNCTION__, func_get_args());
    }
    /**
     * 删除角色
     * @param array $data
     * @return array
     */
    public function delRole(array $data)
    {
        return $this->client->__call(__FUNCTION__, func_get_args());
    }
    /**
     * 更新角色
     * @param array $data
     * @return array
     */
    public function updateRole(array $data)
    {
        return $this->client->__call(__FUNCTION__, func_get_args());
    }
    /**
     * 角色列表
     * @param array $data
     * @return array
     */
    public function roleList(array $data)
    {
        return $this->client->__call(__FUNCTION__, func_get_args());
    }
    /**
     * 角色信息
     * @param array $data
     * @return array
     */
    public function roleInfo(array $data)
    {
        return $this->client->__call(__FUNCTION__, func_get_args());
    }
}